> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取农场链上账户键

> 获取农场的链上账户键。缓存 60 秒。



## OpenAPI

````yaml /zh/api-reference/openapi/api-v3.yaml get /farms/key/ids
openapi: 3.0.3
info:
  title: Raydium API v3
  version: 3.0.0
  description: >-
    Raydium API v3 提供 REST 接口，用于查询 Solana 区块链上的流动性池、mint 信息、Farm 详情、IDO
    池及链上元数据。钱包、聚合器和交易者可通过其获取价格数据、池数据及路由信息。
servers:
  - url: https://api-v3.raydium.io
    description: 生产环境（主网）
  - url: https://api-v3-devnet.raydium.io
    description: 开发环境（Devnet）
security: []
tags:
  - name: Main
    description: 链信息、TVL 及配置的核心 API 接口
  - name: Mint
    description: Token mint 信息与定价
  - name: Pools
    description: 流动性池信息、密钥及历史数据
  - name: Farms
    description: Farm 池信息与密钥
  - name: IDO
    description: IDO 池信息与密钥
paths:
  /farms/key/ids:
    get:
      tags:
        - Farms
      summary: 获取农场链上账户键
      description: 获取农场的链上账户键。缓存 60 秒。
      operationId: getFarmsKeyIds
      parameters:
        - name: ids
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          type: object
components:
  schemas:
    ApiResponse:
      type: object
      description: 通用响应封装。`data` 字段由各接口的响应 schema 通过 `allOf` 提供，因此未在基础封装中声明。
      required:
        - id
        - success
      properties:
        id:
          type: string
          description: 请求 ID（UUID）
        success:
          type: boolean
          description: 请求是否成功
        msg:
          type: string
          description: 失败时的错误信息

````